Bug 14113 - error in help.search
Summary: error in help.search
Status: CLOSED FIXED
Alias: None
Product: R
Classification: Unclassified
Component: Misc (show other bugs)
Version: old
Hardware: All Linux
: P5 normal
Assignee: Jitterbug compatibility account
URL:
Depends on:
Blocks:
 
Reported: 2009-12-05 04:35 UTC by Jitterbug compatibility account
Modified: 2009-12-05 22:24 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jitterbug compatibility account 2009-12-05 04:35:02 UTC
From: dgrove@fhcrc.org
Full_Name: Doug Grove
Version: 2.10.0   10-26-2009
OS: x86_64-unknown-linux-gnu
Submission from: (NULL) (140.107.164.65)


Hi,

Looks like the revisions to help.search didn't get completely finished.

When the user specifies the argument 'package' the code doesn't define the
variable 'paths' prior to trying to use it, which obviously produces an error.

The code dies when it reaches the line: 
   tot <- length(paths)

Just search on any string and specify and package and you'll get the error.

Thanks,
Doug

Comment 1 Jitterbug compatibility account 2009-12-05 22:24:25 UTC
From: Duncan Murdoch <murdoch@stats.uwo.ca>
On 04/12/2009 5:40 PM, dgrove@fhcrc.org wrote:
> Full_Name: Doug Grove
> Version: 2.10.0   10-26-2009
> OS: x86_64-unknown-linux-gnu
> Submission from: (NULL) (140.107.164.65)
> 
> 
> Hi,
> 
> Looks like the revisions to help.search didn't get completely finished.
> 
> When the user specifies the argument 'package' the code doesn't define the
> variable 'paths' prior to trying to use it, which obviously produces an error.

That was a typo:  it should have been looking at package_paths, not paths.

> 
> The code dies when it reaches the line: 
>    tot <- length(paths)
> 
> Just search on any string and specify and package and you'll get the error.

Will fix.

Duncan Murdoch

Comment 2 Jitterbug compatibility account 2009-12-06 15:34:00 UTC
NOTES:
 fixed for 2.10.1
Comment 3 Jitterbug compatibility account 2009-12-06 15:34:28 UTC
Audit (from Jitterbug):
Sun Dec  6 09:34:28 2009	ripley	changed notes
Sun Dec  6 09:34:28 2009	ripley	moved from incoming to Misc-fixed